%global __requires_exclude pear\\(I18N/UnicodeString/Exception.php\\)
%define upstream_name I18N_UnicodeString
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.1
Release:     	%mkrel 5
Summary:    	Provides a way to work with self contained multibyte strings
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/I18N_UnicodeString-%{version}.tgz
URL: 		http://pear.php.net/package/I18N_UnicodeString
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Provides a method of storing and manipulating multibyte strings in PHP
without using ext/mbstring. Also allows conversion between various methods
of storing Unicode in 8 byte strings like UTF-8 and HTML entities.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/I18N_UnicodeString.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/I18N_UnicodeString.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/I18N_UnicodeString
fi

%files
%doc docs/I18N_UnicodeString/*
%{peardir}/*
%{xmldir}/I18N_UnicodeString.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.3.1-5.mga6
+ Revision: 945060
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 742549
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 687308
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Mon Oct 21 2013 umeabot <umeabot> 0.3.1-2.mga4
+ Revision: 538533
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 0.3.1-1.mga4
+ Revision: 489906
- upgrade to vers. 0.3.1

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 376721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 08 2012 spuhler <spuhler> 0.3.0-2.mga2
+ Revision: 221401
- added _requires_exceptions pear(I18N/UnicodeString/Exception.php)

* Tue Mar 06 2012 spuhler <spuhler> 0.3.0-1.mga2
+ Revision: 219566
- upgrade to 0.3.0
  pearized spec

* Fri Jan 28 2011 spuhler <spuhler> 0.2.1-6.mga1
+ Revision: 42684
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-I18N_UnicodeString


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-6mdv2011.0
+ Revision: 613689
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-5mdv2010.1
+ Revision: 473538
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.2.1-4mdv2010.0
+ Revision: 441193
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2009.1
+ Revision: 322134
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-2mdv2009.0
+ Revision: 236893
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdv2007.0
+ Revision: 81896
- Import php-pear-I18N_UnicodeString

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdk
- 0.2.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

